Request
Keywords: uk.ac.ic.doc.automed.p2p.protocol.Request class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.protocol
Class Request

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.protocol.Request

Direct Known Subclasses:
  Request.Pathway, Request.PathwayToSource, Request.Port, Request.Query, Request.Register, Request.Remove, Request.Schema, Request.Unknown

    public abstract class Request

extends java.lang.Object

Author:
  Charis TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Nested Class Summary
`static class` | `Request.Pathway`
`static class` | `Request.PathwayToSource`
`static class` | `Request.Port`
`static class` | `Request.Query`
`static class` | `Request.Register`
`static class` | `Request.Remove`
`static class` | `Request.Schema`
`static class` | `Request.Unknown`

Field Summary
`java.lang.String` | `request`

Constructor Summary
`Request(java.lang.String request)`

Method Summary
`java.lang.String` | `buildMessage()`
`boolean` | `isPathway()`
`boolean` | `isPathwayToSource()`
`boolean` | `isPort()`
`boolean` | `isQuery()`
`boolean` | `isRegister()`
`boolean` | `isRemove()`
`boolean` | `isSchema()`
`boolean` | `isUnknown()`
`static Request` | `newRequest(java.lang.String request, java.lang.String[] parts)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### request

    public java.lang.String request

Constructor Detail

### Request

    public Request(java.lang.String request)

Method Detail

### newRequest

    public static Request newRequest(java.lang.String request,
                                     java.lang.String[] parts)

### isSchema

    public boolean isSchema()

### isPathway

    public boolean isPathway()

### isPathwayToSource

    public boolean isPathwayToSource()

### isRegister

    public boolean isRegister()

### isPort

    public boolean isPort()

### isUnknown

    public boolean isUnknown()

### isRemove

    public boolean isRemove()

### isQuery

    public boolean isQuery()

### buildMessage

    public java.lang.String buildMessage()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD